<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
  <meta name="viewport" content="user-scalable=no,width=device-width">
  <link rel="stylesheet" href="css/jquery.mobile-1.4.2.css" >
  <script src="js/jquery-1.11.0.js" ></script>
  <script src="js/jquery.mobile-1.4.2.js" ></script>
	<script src="cordova.js"></script>
</head>
<body>

<div id="paginaMenu" data-role="page">
  <div data-role="header">
    <h1>App B</h1>	
  </div>
  <div data-role="content" class="ui-content">
    <a href="listar.html" data-role="button" data-transition="none">Listar</a>
  </div>
  <div data-role="footer"  data-position="fixed">
    <h4>Tópicos Avançados</h4>
  </div>
</div>
	
<script>
  
  //Invoca a função de listar assim que a página for carregada.
  $(document).delegate("#paginaListar", "pagecreate", function() {
     listarContatos();
  });
  
  //Busca os contatos na agenda.
  function listarContatos(){
	   var filtro = new ContactFindOptions();
     filtro.filter=""; 
	   filtro.multiple=true;
     var campos = ["name"];
     navigator.contacts.find(campos, sucessoAoListarContatos, erroAoListarContatos, filtro);
	}

  //Se conseguiu listar os contatos.
  function sucessoAoListarContatos(contatos) {
  
    //Cria uma lista HTML.
		var html = "<ul>";
		if (contatos.length > 0){
			for (var i=0; i<contatos.length; i++) {
				var id = contatos[i].id;
				var nome = contatos[i].name.givenName;
				var sobrenome = contatos[i].name.familyName;
				if (nome != null && sobrenome != null){
				 html += "<li data-icon=false id='" + id + "'>";		  
				 html +=    "<a href='#'>";		  
				 html +=       nome + "&nbsp;" + sobrenome;		  
				 html +=    "</a>";		  
				 html += "</li>";	
				}
      }
		} else {
		  html += "<li>Nenhum contato cadastrado.</li>";
		}
		html += "</ul>";
		
    //Coloca o conteúdo na página.
		var $content = $("#paginaListar div:jqmData(role=content)");
		$content.html(html); 
    
    //Vincula o evento tapholder para exclusão.
    $("li").bind("taphold", function(event){
       var id = $(this).attr("id");	
       if(!id) return;
       if (!confirm("Remover contato?", "Alerta")) return;			 
       //$(this).remove();	  
       alert("ID do contato que deve ser excluído: " + id);
		});	
    
    //Formato no estilo de lista.
    var $ul = $content.find("ul");
		$ul.listview();
  }
	
	function erroAoListarContatos(erro) {
    alert('Erro: ' + erro.code);
  }
	
</script>
	
</body>  
</html>